ResourceUsage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.resource
Interface ResourceUsage

All Known Subinterfaces:
  ApplicationResourceUsage, FrontSceneResourceUsage, RecordingResourceUsage, RemoteRecordingResourceUsage, RemoteResourceUsage, RemoteTimeShiftResourceUsage, ServiceContextResourceUsage, SharedResourceUsage, SharedResourceUsage, TimeShiftBufferResourceUsage

    public interface ResourceUsage

This interface represents a grouping of resources specific to an function performed by an application.

Method Summary
`AppID` | `getAppID()` Gets the `AppID` of the application associated with the set of resources contained in the usage.
`ResourceProxy` | `getResource(String resourceName)` Gets the instance of `ResourceProxy` corresponding to a resource name returned by the getResourceNames method of this ResourceUsage.
`String[]` | `getResourceNames()` Gets the array of resource names associated with the resource reservation.
`int` | `getResourcePriority()` Retrieves the resource priority associated with the resource reservation represented by this `ResourceUsage`.

Method Detail

### getAppID

    AppID getAppID()

  Gets the `AppID` of the application associated with the set of resources contained in the usage.

  Returns:
    AppID of the application.

### getResourceNames

    String[] getResourceNames()

  Gets the array of resource names associated with the resource reservation.

  Returns:
    The array of qualified java class names for the resources used (or required) for this resource usage.

### getResource

    ResourceProxy getResource(String resourceName)

  Gets the instance of `ResourceProxy` corresponding to a resource name returned by the getResourceNames method of this ResourceUsage. This method will return null if the resource is not yet reserved. This method provides information to distinguish which resources in the ResourceUsage have already been reserved. Since DAVIC resource API reserves resource in one by one manner, the ResourceUsage may include both reserved and unreserved resources.

  Parameters:
    `resourceName` - The fully qualified java name for a resource included in this ResourceUsage.
  Returns:
    The instance of `ResourceProxy` corresponding to the resourceName.
  Throws:
    `IllegalArgumentException` - if the resourceName is not in the list of fully qualified java class names returned by the method getResourceNames()

### getResourcePriority

    int getResourcePriority()

  Retrieves the resource priority associated with the resource reservation represented by this `ResourceUsage`.

  Returns:
    The resource priority associated with the reservation. This SHALL be a valid value as defined by the `ResourcePriority` interface.
  See Also:
    `ResourcePriority`, `ResourceContext.setResourcePriority(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD